PHP Developers Network

A community of PHP developers offering assistance, advice, discussion, and friendship.
 
Loading
It is currently Sat Jun 06, 2020 5:49 am

All times are UTC - 5 hours




Post new topic Reply to topic  [ 4 posts ] 
Author Message
PostPosted: Thu May 14, 2009 3:29 pm 
Offline
Forum Newbie

Joined: Thu May 14, 2009 3:18 pm
Posts: 2
Hello I am trying to enable the PHP extension phpzip, I am currently getting the following error. Fatal error: Class 'ZipArchive' not found in... I have to have this particular extension.

From what I have read I just need to go into the php.ini file and add the extension there
extension=php_zip.so
zlib.output_compression = On

I have done this, restarted the server, but different happens. Can somebody offer any help as to fixing this. I have never enabled an extension so I am not sure what I am doing or what else to do.

We are running PHP Version 5.2.4
Linux
Apache 2.0

Thanks
Mike


Top
 Profile  
 
PostPosted: Thu May 14, 2009 6:21 pm 
Offline
Forum Commoner
User avatar

Joined: Wed May 06, 2009 8:12 pm
Posts: 41
Location: Las Vegas
Have you read the from PHP.net?


Top
 Profile  
 
PostPosted: Thu May 14, 2009 7:27 pm 
Offline
Forum Contributor

Joined: Sun May 03, 2009 11:39 am
Posts: 103
Have you check to see if the library is in place, look for the file php_zip.so in your extension directory. You should be able to find your extension directory in the php.ini as extension_dir


Top
 Profile  
 
PostPosted: Fri May 15, 2009 1:28 pm 
Offline
Forum Newbie

Joined: Thu May 14, 2009 3:18 pm
Posts: 2
Thanks for the replies!

Gabriel, as far as the manual I am not knowledgeable of linux to understand some of this like, "must compile PHP with zip support by using the --with-zip[=DIR] configure option", is this reinstalling php?

ldougherty, I have checked that directory and the php_zip.so file is not in there.

How can I install this? This is where i am running into the problem.

I have also received this email a little earlier from tech support.
You do have the correct PHP version but you need the requirements you listed to be enabled.

So how would I go about enabling them?

mike


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 4 posts ] 

All times are UTC - 5 hours


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
Powered by phpBB® Forum Software © phpBB Group